Skip to main content
POST
/
crr
/
external_scores
Create an external score
curl --request POST \
  --url https://api-sandbox.synctera.com/v0/crr/external_scores \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "resource_type": "BUSINESS",
  "score": 75,
  "tenant": "abcdef_ghijkl"
}
'
{
  "id": "7503cd8a-903b-4fee-aa54-da3dc71f4124",
  "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "resource_type": "BUSINESS",
  "score": 75,
  "tenant": "abcdef_ghijkl",
  "creation_time": "2023-11-07T05:31:56Z",
  "last_updated_time": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.synctera.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

External score to create

resource_id
string<uuid>
required

The customer_id or business_id to assign the score to

resource_type
enum<string>
required

The resource type for which the parameter is calculated

Available options:
BUSINESS,
CUSTOMER
score
integer
required

An externally sourced risk score (0-100), used directly as condition weight in CRR calculation

Required range: 0 <= x <= 100
Example:

75

tenant
string

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

Response

Successfully created external score

id
string<uuid>
required

Unique identifier for the external score record

Example:

"7503cd8a-903b-4fee-aa54-da3dc71f4124"

resource_id
string<uuid>
required

The customer_id or business_id this score applies to

resource_type
enum<string>
required

The resource type for which the parameter is calculated

Available options:
BUSINESS,
CUSTOMER
score
integer
required

An externally sourced risk score (0-100)

Example:

75

tenant
string
required

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

creation_time
string<date-time>

The date and time the record was created

last_updated_time
string<date-time>

The date and time the record was last updated